Wallet
Get wallet
This endpoint allows you to retrieve a specific wallet by ID.
GET
/
wallet
Get wallet
curl --request GET \
--url https://processor-prod.up.railway.app/wallet \
--header 'x-service-key: <api-key>'import requests
url = "https://processor-prod.up.railway.app/wallet"
headers = {"x-service-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-service-key': '<api-key>'}};
fetch('https://processor-prod.up.railway.app/wallet', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"status": 200,
"message": "Wallet fetched successfully",
"timestamp": "2025-09-08T20:37:46.152Z",
"data": {
"id": "68bc290df51feea8c53f5275",
"reference": "rmb9y5fxuuc7dbb5nsoj0lezd25uls",
"is_active": true,
"address": {
"evm": "0xf66Dd142c6F15431835f402b0B8a6093C86D7EC2",
"svm": "F5t8SUAPd7Ebjk6WZvGZbfS2z15RJvZ6LgXZhccwQS93"
},
"transfer": false,
"swap": false,
"offramp": true
}
}Authorizations
Query Parameters
The wallet ID to fetch details for
Example:
"68bc290df51feea8c53f5275"
⌘I
Get wallet
